Subject: Looking for Ponderosa Lemon Tree

From: David Kowalczyk <[email-masked]>
Date: Mon, 20 Mar 1995 14:28:45 GMT

I hope this is the right newsgroup for this question.
I was a the Spring Garden and Flower Show at Bayside Expo Center 
here in Boston this past weekend.  In the amateur section was 
displayed a Ponderosa Lemon Tree. The lemons were the size of
grapefruits. As a kid, my parents has one, which they told me
they got in Colorado.
So I decided I would like to get one and try growing it myself
as a container plant.  I have looked in Brecks, Burpee and 
Wayside for either seeds or established plants. But no luck.
Does anyone know of a place through which I could order seeds
or an established plant?
Dave